{
  "formatVersion": 1,
  "database": {
    "version": 4,
    "identityHash": "e3f81cb07584fac4351ba9ed9dcf03f1",
    "entities": [
      {
        "tableName": "cachedMeta",
        "createSql": "CREATE TABLE IF NOT EXISTS `${TABLE_NAME}` (`mainFileUri` TEXT NOT NULL, `metaFileUri` TEXT, `directoryUri` TEXT NOT NULL, `isUpdatable` INTEGER NOT NULL, `date` INTEGER, `percentComplete` INTEGER NOT NULL, `percentFilled` INTEGER NOT NULL, `source` TEXT, `title` TEXT, `author` TEXT, `rating` INTEGER NOT NULL, `hasSolution` INTEGER NOT NULL, PRIMARY KEY(`mainFileUri`))",
        "fields": [
          {
            "fieldPath": "mainFileUri",
            "columnName": "mainFileUri",
            "affinity": "TEXT",
            "notNull": true
          },
          {
            "fieldPath": "metaFileUri",
            "columnName": "metaFileUri",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "directoryUri",
            "columnName": "directoryUri",
            "affinity": "TEXT",
            "notNull": true
          },
          {
            "fieldPath": "isUpdatable",
            "columnName": "isUpdatable",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "date",
            "columnName": "date",
            "affinity": "INTEGER",
            "notNull": false
          },
          {
            "fieldPath": "percentComplete",
            "columnName": "percentComplete",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "percentFilled",
            "columnName": "percentFilled",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "source",
            "columnName": "source",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "title",
            "columnName": "title",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "author",
            "columnName": "author",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "rating",
            "columnName": "rating",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "hasSolution",
            "columnName": "hasSolution",
            "affinity": "INTEGER",
            "notNull": true
          }
        ],
        "primaryKey": {
          "autoGenerate": false,
          "columnNames": [
            "mainFileUri"
          ]
        },
        "indices": [],
        "foreignKeys": []
      }
    ],
    "views": [],
    "setupQueries": [
      "CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)",
      "INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, 'e3f81cb07584fac4351ba9ed9dcf03f1')"
    ]
  }
}